[问题]关于远程桌面连接

为当前最终发行版之前的所有版本提供支持
回复
gang1197
帖子: 7
注册时间: 2008-05-07 14:02
送出感谢: 0
接收感谢: 0
联系:

[问题]关于远程桌面连接

#1

帖子 gang1197 » 2008-05-31 20:20

我的8.04桌面版用vnc viewer在windows下进行远程连接,为什么要登录进去ubuntu后,在windows中才能进行连接啊,比如我在远程要重新启动,在连接就是unable to connect to host :connection refused (10061),当然,到ubuntu那端登录后,在回到windows就有好了,那位大侠告诉我一哈。。。
头像
lhw828
帖子: 2798
注册时间: 2007-03-15 16:58
来自: 湖北武汉
送出感谢: 2 次
接收感谢: 3 次
联系:

#2

帖子 lhw828 » 2008-06-01 0:54

帮你顶
头像
sniper54
帖子: 96
注册时间: 2006-07-31 19:16
来自: 重庆
送出感谢: 1 次
接收感谢: 0
联系:

#3

帖子 sniper54 » 2008-06-01 0:55

用SSH吧

在WIN下用PUTTY连UBUNTU的机器

前提 是UBUNTU的机器安装了SSH
gang1197
帖子: 7
注册时间: 2008-05-07 14:02
送出感谢: 0
接收感谢: 0
联系:

#4

帖子 gang1197 » 2008-06-01 7:44

sniper54 写了:用SSH吧

在WIN下用PUTTY连UBUNTU的机器

前提 是UBUNTU的机器安装了SSH
谢谢各位帮顶,可这是命令行啊,有没有桌面的解决办法?
头像
冲浪板
论坛版主
帖子: 7466
注册时间: 2007-05-06 8:19
送出感谢: 0
接收感谢: 5 次

#5

帖子 冲浪板 » 2008-06-01 8:28

你用ssh进去,或者亲自到机器上,开服务,我玩的是vncserver....
然后就可以啦,
vnc就是那么用的,

btw:你最好用ssh(tunnels),因为口令是明文传送的,所以要tunnels一下下
头像
嘎嘎军旅长
帖子: 81
注册时间: 2008-01-22 23:29
来自: 美国田纳西
送出感谢: 0
接收感谢: 0

#6

帖子 嘎嘎军旅长 » 2008-06-01 9:32

我想问题在于你的UBUNTU 桌面登录之前,VNC 服务器没有打开,以至于远端WINDOWS 无法连接!
可以试试把VNC服务随系统启动,而不是随桌面启动
Ubuntu 8.04 LTS hardy heron
ACER Extensa 5420
AMD Turion 64X2 TL58
15.4 WXGA
ATi Xpress 1250
2 GB DDR2
160 GB HDD
-------------------------
哪里有什么菜鸟? 我只是把别人学LINUX的时间,都用在了喝咖啡上!
头像
bones7456
论坛版主
帖子: 8495
注册时间: 2006-04-12 20:05
来自: 杭州
送出感谢: 0
接收感谢: 8 次
联系:

#7

帖子 bones7456 » 2008-06-01 10:16

嘎嘎军旅长 写了:我想问题在于你的UBUNTU 桌面登录之前,VNC 服务器没有打开,以至于远端WINDOWS 无法连接!
可以试试把VNC服务随系统启动,而不是随桌面启动
正解了,不过随系统启动的话,也许有权限问题哦,因为那是root起的服务端.
关注我的blog: ε==3
头像
冲浪板
论坛版主
帖子: 7466
注册时间: 2007-05-06 8:19
送出感谢: 0
接收感谢: 5 次

#8

帖子 冲浪板 » 2008-06-01 10:34

和windows一样的,对方进桌面(当然服务也要起)你这里才能连接;
否则就....

啊对了,这个可不叫远程桌面的啊,远程桌面是你起X服务,然后应用程序把显示结果发给你显示。
你现连接linux,telnet也好是ssh也罢,这边起服务,windows下有的,然后在连接好的终端来个命令,这边就可以看到程序的结果了-图形的。显示桌面还没见过,就见过程序界面-比如计算器
lantian
帖子: 48
注册时间: 2008-06-21 8:24
送出感谢: 0
接收感谢: 0

#9

帖子 lantian » 2008-07-07 18:46

嘎嘎军旅长 写了:我想问题在于你的UBUNTU 桌面登录之前,VNC 服务器没有打开,以至于远端WINDOWS 无法连接!
可以试试把VNC服务随系统启动,而不是随桌面启动
能否告知一下方法!
回复

回到 “老旧版本支持”